Bug 720664 - Review Request: django-threaded-multihost - Enable multi-site awareness in Django apps
Review Request: django-threaded-multihost - Enable multi-site awareness in Dj...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 08:36 EDT by Praveen Kumar
Modified: 2011-07-15 10:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 21:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-12 08:36:20 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/django-threaded-multihost/django-threaded-multihost.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/django-threaded-multihost/django-threaded-multihost-1.4-0.fc15.src.rpm
Description: django-threaded multihost provides support utilities to enable easy multi-site awareness in Django apps.
Comment 2 pjp 2011-07-12 13:20:58 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] Package license - ok.
[X] Builid successful - ok.

[X] rpmlint SRPMS/django-threaded-multihost-1.4-0.fc14.src.rpm 
django-threaded-multihost.src: W: spelling-error Summary(en_US) multi -> mulch,
mufti
django-threaded-multihost.src: W: spelling-error %description -l en_US multi ->
mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] rpmlint RPMS/noarch/django-threaded-multihost-1.4-0.fc14.noarch.rpm 
django-threaded-multihost.noarch: W: spelling-error Summary(en_US) multi ->
mulch, mufti
django-threaded-multihost.noarch: W: spelling-error %description -l en_US multi
-> mulch, mufti
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  - ok.

[X] Install/Uninstall - ok.

Overall good.
Comment 3 pjp 2011-07-12 13:21:28 EDT
Approved.
Comment 4 Praveen Kumar 2011-07-12 13:33:14 EDT
New Package SCM Request
=======================
Package Name: django-threaded-multihost
Short Description: Enable multi-site awareness in Django apps
Owners: kumarpraveen
Branches: f14 f15
Comment 5 Jon Ciesla 2011-07-12 23:20:22 EDT
Git done (by process-git-requests).
Comment 6 Rahul Sundaram 2011-07-13 04:14:06 EDT
Package Change Request
======================
Package Name: django-threaded-multihost
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 7 Rahul Sundaram 2011-07-13 22:18:56 EDT
IMO,  you must run the tests while building by using %check in the spec file.   Also this package won't build on koji because the end of setup.py has a line,     setup_requires = ["setuptools_hg"] although the dependency list seems to be empty.  I am not sure why this is the case.  Try patching it out and doing a scratch build.   

Note to Praveen;  Always file a review request with a link to a scratch build. 

Note to Pjp:  Please do a scratch build and paste the url in the review before approving if the submitted hasn't done so.  Always good to verify this anyway.
Comment 8 pjp 2011-07-14 02:47:29 EDT
(In reply to comment #7)
> Note to Pjp:  Please do a scratch build and paste the url in the review before
> approving if the submitted hasn't done so.  Always good to verify this anyway.

  Aah...ok, I'll do that.

Thanks.
Comment 9 pjp 2011-07-14 02:50:31 EDT
Yeah, the koji build fails.

  - http://koji.fedoraproject.org/koji/taskinfo?taskID=3198037
Comment 10 Rahul Sundaram 2011-07-14 21:44:11 EDT
Package Change Request
======================
Package Name: django-threaded-multihost
New Branches: el6
Owners: sundaram pjp
InitialCC:
Comment 11 Jon Ciesla 2011-07-15 10:18:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.